Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041504
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-07-31 12:022019-08-22 14:45
ReporterplujanView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionce1b2bb859c1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041504: [19Q3] Add a message about removed support for Internet Explorer

DescriptionSince Internet Explorer is reaching end of support, we should ask the users to not use it anymore.

Right now we have in src/org/openbravo/erpCommon/security/Login.html two fields for marking IE browser supported (validBrowserExplorer) and recommended (recBrowserExplorer).

I've set validBrowserExplorer to 11, the last stable version, but a small code change has to be done to not show the recommended, since we do not recommend IE. Current version for recBrowserExplorer is set to 99 to easy identify it.
Steps To Reproducen/a
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041501 closedplujan The list of supported/recommended browsers must be updated 
depends on backport 00415083.0PR19Q3 closedcberner [19Q3] Add a message about removed support for Internet Explorer 

-  Notes
(0113823)
hgbot (developer)
2019-08-06 10:41

Repository: erp/devel/pi
Changeset: ce1b2bb859c17f01214f4ca7b48f8432024e48b1
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Aug 01 14:16:18 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ce1b2bb859c17f01214f4ca7b48f8432024e48b1 [^]

fixes issue 41504: Removes Internet Explorer from recommended browser message

Removes Internet Explorer from recommended browser message on login.
Changed valid and recommended browser version variables structure to map, easier to maintain and handle.
Commenting or removing any browser version from Login.html removes it from corresponding valid/recommended message.

---
M src/org/openbravo/erpCommon/security/Login.html
M web/js/login.js
---
(0113824)
AugustoMauch (developer)
2019-08-06 10:44

Code reviewed and verified using a User-Agent switch plugin
(0114205)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-31 12:02 plujan New Issue
2019-07-31 12:02 plujan Assigned To => platform
2019-07-31 12:02 plujan Modules => Core
2019-07-31 12:02 plujan Triggers an Emergency Pack => No
2019-07-31 12:03 plujan Relationship added related to 0041501
2019-07-31 12:57 AugustoMauch Assigned To platform => cberner
2019-07-31 12:57 AugustoMauch Status new => scheduled
2019-08-02 09:07 cberner Review Assigned To => AugustoMauch
2019-08-06 10:41 hgbot Checkin
2019-08-06 10:41 hgbot Note Added: 0113823
2019-08-06 10:41 hgbot Status scheduled => resolved
2019-08-06 10:41 hgbot Resolution open => fixed
2019-08-06 10:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ce1b2bb859c17f01214f4ca7b48f8432024e48b1 [^]
2019-08-06 10:44 AugustoMauch Note Added: 0113824
2019-08-06 10:44 AugustoMauch Status resolved => closed
2019-08-06 10:45 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114205


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker